Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.canvas.map2d
Interface Map2DController

All Superinterfaces:
  CanvasController

    public interface Map2DController

extends CanvasController

Setter methods for properties that define a rectangular, 2D `Canvas`.

See Also:
  `Map2D`

Method Summary
`void` | `setEnvelope(Envelope newEnvelope)` Sets the envelope of the canvas, provided this `Map2DController` is the active controller.
`void` | `setMapWidth(double newMapWidth, Unit widthUnit)` Sets the map width of the canvas, provided this `Map2DController` is the active controller.
`void` | `setPixelHeight(int newPixelHeight)` Sets the pixel height of the canvas, provided this `Map2DController` is the active controller.
`void` | `setPixelWidth(int newPixelWidth)` Sets the pixel width of the canvas, provided this `Map2DController` is the active controller.
`void` | `setScale(double newScale)` Sets the scale of the canvas, provided this `Map2DController` is the active controller.

Methods inherited from interface CanvasController
`setCenter`

Method Detail

### setPixelWidth

    void setPixelWidth(int newPixelWidth)

  Sets the pixel width of the canvas, provided this `Map2DController` is the active controller.

  Parameters:
    `newPixelWidth` - the new pixel width.

### setPixelHeight

    void setPixelHeight(int newPixelHeight)

  Sets the pixel height of the canvas, provided this `Map2DController` is the active controller.

  Parameters:
    `newPixelHeight` - the new pixel height.

### setMapWidth

    void setMapWidth(double newMapWidth,
                     Unit widthUnit)

  Sets the map width of the canvas, provided this `Map2DController` is the active controller.

  Parameters:
    `newMapWidth` - the new map width
    `widthUnit` - the unit of the `newMapWidth`.

### setScale

    void setScale(double newScale)

  Sets the scale of the canvas, provided this `Map2DController` is the active controller.

  Parameters:
    `newScale` - the new scale.

### setEnvelope

    void setEnvelope(Envelope newEnvelope)

  Sets the envelope of the canvas, provided this `Map2DController` is the active controller.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.